# Stock Pull List

The pull list checks the stock situation at the given location and calculates the shortfall quantities (quantity needed to cover all needs) for products. Procurements can be created for these shortfall quantities.

Important

This is an alpha version, the data model and design can change at any time without warning. Only for development or testing purpose, do not use in production. More details on development status

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use the module follow the next steps:

1. Go to Inventory > Operations > Generate Pull List.
2. Select the location to get the pull list from. Add some filtering if needed.
3. Click on Prepare. You will now see the pull list with all the needs.
4. Adjust grouping options as needed. This will generate different procurement groups.
5. Click on Procure.

# Known issues / Roadmap

- In wizard, when exclude_reserved is selected, handle partially available moves.
- Use sequence numbering for procurement groups made from pull list.
- Return a pull list summary at the end.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ForgeFlow

## Contributors

- Lois Rilo <lois.rilo@forgeflow.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/stock-logistics-warehouse project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.